SalesChannelCancellationRequests

Reject a cancellation request

post

Reject an existing cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
post
/api/channel/{channel_id}/cancellation_requests/{id}/reject/

Retrieve a cancellation request

get

Get detailed information about a specific cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
get
/api/channel/{channel_id}/cancellation_requests/{id}/

Update a cancellation request

put

Update an existing cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
statusstring · enumOptional

Status of the cancellation request.

Example: waitingPossible values:
descriptionstring · nullableOptional

Description of the cancellation request

ibanstring · nullableOptional

IBAN for refund

holder_namestring · nullableOptional

Name of the account holder

cancellation_typestring · enumOptional

Type of cancellation

Example: cancelPossible values:
quantityinteger · min: 1 · nullableOptional

Quantity of items to be cancelled

fully_refund_as_loyalty_moneybooleanOptional

Flag to indicate if the refund should be processed as loyalty money

Default: false
reasonintegerOptional

Related cancellation reason ID

Example: 1
order_itemintegerOptional

Related order item ID

Example: 1
Responses
put
/api/channel/{channel_id}/cancellation_requests/{id}/

Delete a cancellation request

delete

Delete an existing cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
delete
/api/channel/{channel_id}/cancellation_requests/{id}/

No content

Partial update a cancellation request

patch

Partial update an existing cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
statusstring · enumOptional

Status of the cancellation request.

Example: waitingPossible values:
descriptionstring · nullableOptional

Description of the cancellation request

ibanstring · nullableOptional

IBAN for refund

holder_namestring · nullableOptional

Name of the account holder

cancellation_typestring · enumOptional

Type of cancellation

Example: cancelPossible values:
quantityinteger · min: 1 · nullableOptional

Quantity of items to be cancelled

fully_refund_as_loyalty_moneybooleanOptional

Flag to indicate if the refund should be processed as loyalty money

Default: false
reasonintegerOptional

Related cancellation reason ID

Example: 1
order_itemintegerOptional

Related order item ID

Example: 1
Responses
patch
/api/channel/{channel_id}/cancellation_requests/{id}/

Retrieve a cancellation request

get

Get detailed information about a specific cancellation request

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
get
/api/channel/{channel_id}/cancellation_requests/{id}/detailed/

List cancellation requests

get

Get a list of cancellation requests for a sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

statusstring · enumOptional

Status of the cancellation request.

Example: rejectedPossible values:
numberstringOptional

Order number (case-insensitive)

date_placedstring · date-timeOptional

Order number (case-insensitive)

date_placed__gtestring · date-timeOptional
date_placed__gtstring · date-timeOptional

Order placed after this date

date_placed__ltstring · date-timeOptional
date_placed__ltestring · date-timeOptional
date_placed__date__gtstring · dateOptional
date_placed__date__gtestring · dateOptional
date_placed__date__ltstring · dateOptional
date_placed__date__ltestring · dateOptional
skustringOptional

Product SKU (case-insensitive)

channelintegerOptional

ID of the channel the customer belongs to

Example: 5
customer_first_namestringOptional

Customer's first name (case-insensitive)

customer_last_namestringOptional

Customer's last name (case-insensitive)

customer_emailstring · emailOptional

Customer's email (case-insensitive)

order_idintegerOptional

Order ID

cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
easy_return_codestringOptional

Easy return code (case-insensitive)

tracking_numberstringOptional

Tracking number (case-insensitive)

Responses
get
/api/channel/{channel_id}/cancellation_requests/

Create a cancellation request

post

Create a new cancellation request for a sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body
order_itemintegerRequired

Related order item ID

Example: 1
reasonintegerRequired

Related cancellation reason ID

Example: 1
descriptionstring · nullableOptional

Description of the cancellation request

cancellation_typestring · enumRequired

Type of cancellation

Example: cancelPossible values:
ibanstring · nullableOptional

IBAN for refund

holder_namestring · nullableOptional

Name of the account holder

quantityinteger · min: 1 · nullableOptional

Quantity of items to be cancelled

Responses
201

Cancellation request created successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
idinteger · int64Read-onlyRequired

Cancellation Request ID

order_itemintegerRequired

Related order item ID

Example: 1
reasonintegerRequired

Related cancellation reason ID

Example: 1
descriptionstring · nullableOptional

Description of the cancellation request

cancellation_typestring · enumRequired

Type of cancellation

Example: refundPossible values:
statusstring · enumRequired

Status of the cancellation request.

Example: rejectedPossible values:
ibanstring · nullableOptional

IBAN for refund

holder_namestring · nullableOptional

Name of the account holder

quantityinteger · min: 1 · nullableOptional

Quantity of items to be cancelled

fully_refund_as_loyalty_moneybooleanOptional

Flag to indicate if the refund should be processed as loyalty money

Default: false
post
/api/channel/{channel_id}/cancellation_requests/

List cancellation requests with detailed information

get

Get a list of cancellation requests for a sales channel with detailed information

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

statusstring · enumOptional

Status of the cancellation request.

Example: rejectedPossible values:
numberstringOptional

Order number (case-insensitive)

date_placed__gtestring · date-timeOptional
date_placed__gtstring · date-timeOptional

Order placed after this date

date_placed__ltstring · date-timeOptional
date_placed__ltestring · date-timeOptional
date_placed__date__gtstring · dateOptional
date_placed__date__gtestring · dateOptional
date_placed__date__ltstring · dateOptional
date_placed__date__ltestring · dateOptional
skustringOptional

Product SKU (case-insensitive)

channelintegerOptional

ID of the channel the customer belongs to

Example: 5
customer_first_namestringOptional

Customer's first name (case-insensitive)

customer_last_namestringOptional

Customer's last name (case-insensitive)

customer_emailstring · emailOptional

Customer's email (case-insensitive)

order_idintegerOptional

Order ID

cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
easy_return_codestringOptional

Easy return code (case-insensitive)

tracking_numberstringOptional

Tracking number (case-insensitive)

Responses
get
/api/channel/{channel_id}/cancellation_requests/detailed

Last updated

Was this helpful?